<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Adrien (a.laurent@blastingweb.net)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'Laszlo content' for the 'enomaly_laszlo' extension.
 *
 * @author	Adrien <a.laurent@blastingweb.net>
 */

 
require_once(PATH_tslib."class.tslib_pibase.php");

class tx_enomalylaszlo_pi1 extends tslib_pibase {
	var $prefixId = "tx_enomalylaszlo_pi1";		// Same as class name
	var $scriptRelPath = "pi1/class.tx_enomalylaszlo_pi1.php";	// Path to this script relative to the extension dir.
	var $extKey = "enomaly_laszlo";	// The extension key.
	
	/** 
	 * [Put your description here]
	 */
	function main($content,$conf)	{
		global $BE_USER,$LANG,$BACK_PATH,$TCA_DESCR,$TCA,$CLIENT,$TYPO3_CONF_VARS,$FILEICONS;
		
		$this->conf=$conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		  
		 
		// get parameters
		$parameters = unserialize($TYPO3_CONF_VARS['EXT']['extConf']['enomaly_laszlo']);
			
		$xml=$this->cObj->data['tx_enomalylaszlo_xml'];
		
		$lzx = $parameters['laszlo_path'].$this->cObj->data[uid].'.lzx';
		
		$handle = fopen($lzx,'w');
		
		fputs($handle, $xml);
		
				
		if($this->cObj->data['tx_enomalylaszlo_bgcolor'])
		  $bgcolor = $this->cObj->data['tx_enomalylaszlo_bgcolor'];
		else $bgcolor = '#ffffff';
		
		if($this->cObj->data['tx_enomalylaszlo_width'])
		  $width = $this->cObj->data['tx_enomalylaszlo_width'];
		else $width = '200';
		
		if($this->cObj->data['tx_enomalylaszlo_height'])
		  $height = $this->cObj->data['tx_enomalylaszlo_height'];
		else $height = '200';
				
		$content="
			
			<script type=\"text/javascript\" language=\"JavaScript\">
				lzEmbed({url: '".$parameters['laszlo_url'].$this->cObj->data[uid].'.lzx?lzt=swf'."', bgcolor: '".$bgcolor."', width: '".$width."', height: '".$height."'});
			</script>
			
			";
		
		return $content;
	}
}



if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/enomaly_laszlo/pi1/class.tx_enomalylaszlo_pi1.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/enomaly_laszlo/pi1/class.tx_enomalylaszlo_pi1.php"]);
}

?>